Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
pdumodel::Circuit Interface Reference

BCM circuit. More...

`import "Circuit.idl";`

## Classes
struct | Config
| Circuit configuration. More...
struct | PoleSettings
| Circuit pole settings. More...
struct | Sensors
| Circuit sensors. More...
struct | Settings
| Circuit settings. More...
struct | SettingsChangedEvent
| Event: Circuit settings have changed. More...

## Public Types
enum | Type { ONE_PHASE_LN , ONE_PHASE_LL , ONE_PHASE_LLN , THREE_PHASE }
| Circuit type. More...

## Public Member Functions
Config | getConfig ()
| Retrieve the circuit configuration.
Sensors | getSensors ()
| Retrieve the circuit sensors.
vector< Pole > | getPoles ()
| Retrieve the list of circuit poles.
Settings | getSettings ()
| Get the circuit settings.
int | setSettings (in Settings settings)
| Change the circuit settings.

## Public Attributes
constant int | ERR_INVALID_PARAM = 1
| Invalid parameters.
constant int | ERR_METER_CHANNEL_BUSY = 2
| Meter channel already in use.

## Detailed Description

BCM circuit.

Definition at line 21 of file Circuit.idl.

## Member Enumeration Documentation

## ◆ Type

enum pdumodel::Circuit::Type

Circuit type.

Enumerator
ONE_PHASE_LN | One-phase line-neutral.
ONE_PHASE_LL | One-phase line-line.
ONE_PHASE_LLN | One-phase line-line-neutral.
THREE_PHASE | Three-phase.

Definition at line 27 of file Circuit.idl.

## Member Function Documentation

## ◆ getConfig()

Config pdumodel::Circuit::getConfig | ( |  | ) |

Retrieve the circuit configuration.

Returns
  Circuit configuration

## ◆ getPoles()

vector< Pole > pdumodel::Circuit::getPoles | ( |  | ) |

Retrieve the list of circuit poles.

Returns
  List of circuit poles

## ◆ getSensors()

Sensors pdumodel::Circuit::getSensors | ( |  | ) |

Retrieve the circuit sensors.

Returns
  Circuit sensors

## ◆ getSettings()

Settings pdumodel::Circuit::getSettings | ( |  | ) |

Get the circuit settings.

Returns
  Circuit settings

## ◆ setSettings()

int pdumodel::Circuit::setSettings | ( | in Settings | settings | ) |

Change the circuit settings.

Parameters

  settings | New circuit settings

Returns
  0 if OK
  1 if any parameters are invalid
  2 if the requested meter channel is already in used

## Member Data Documentation

## ◆ ERR_INVALID_PARAM

constant int pdumodel::Circuit::ERR_INVALID_PARAM = 1

Invalid parameters.

Definition at line 23 of file Circuit.idl.

## ◆ ERR_METER_CHANNEL_BUSY

constant int pdumodel::Circuit::ERR_METER_CHANNEL_BUSY = 2

Meter channel already in use.

Definition at line 24 of file Circuit.idl.

The documentation for this interface was generated from the following file:

- Circuit.idl